> For the complete documentation index, see [llms.txt](https://docs.gridmate.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gridmate.io/getting-started/installation-procedure.md).

# Package Setup

Install GridMate from the AppExchange and assign API access, permission sets and licenses.

## Installation procedure

The following sections outline the steps required to start to use the GridMate components on your Salesforce lightning pages. GridMate is available to install from the Salesforce [AppExchange](https://appexchange.salesforce.com/appxListingDetail?listingId=a0N3A00000G0raZUAR).

{% hint style="info" %}
Before installing from AppExchange it is recommended to follow any required recommendations for your particular Salesforce organization in relation to installing packages. Refer to the Salesforce documentation for more details - [Installing a package](https://help.salesforce.com/articleView?id=distribution_installing_packages.htm\&type=5)
{% endhint %}

1. Visit [GridMate Listing](https://appexchange.salesforce.com/listingDetail?listingId=a0N3A00000G0raZUAR) on the AppExchange
2. Click **Get It Now** and follow the instructions presented
3. Install GridMate for Admins only
4. Click **Done** when installation has completed

After the installation has been completed, the following deployment steps are required.

{% hint style="info" %}
Users accessing the GridMate components also need to be assigned to a profile or a permission set that has been granted the permission ‘API enabled’. Refer to the Salesforce documentation for more details [Profiles](https://help.salesforce.com/articleView?id=admin_userprofiles.htm\&type=5)
{% endhint %}

## Rest API Enablement

API Enabled should be checked in the permission (Profile or Permission Set) to use GM - RelatedList Grid/GM - ListView Grid. GridMate uses Rest API to fetch the metadata (Layout/ListView\...).

![](https://4046919449-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MEsSbGy_U_OhthKUpxu%2F-MgFAYnKUcjBMnyWk05j%2F-MgHqLX3g6RPvKGcNCHA%2Fimage_gitbook.png?alt=media\&token=8fadfe8d-e633-423e-a3d2-86980819fa82)

## Permission Set Assignment

Each GridMate user should have GridMate User Permission Set. This Permission Set grants all the needed permissions to see and use GridMate components.

{% embed url="<https://youtu.be/Ll1vXMr_gy0>" %}

## Package License Assignment

Each GridMate user should have a license assigned as explained in the video below. The license assignment is available only for production org.

{% embed url="<https://youtu.be/Af3K-Nd2bqs>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.gridmate.io/getting-started/installation-procedure.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
